package main

import (
	"context"
	"os"

	"git.3crabs.ru/VLADIMIR/butler/internal/modules/messenger/telegram"
	"git.3crabs.ru/VLADIMIR/butler/internal/modules/storage"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/bot"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/bot/bot_all"
	"git.3crabs.ru/VLADIMIR/butler/internal/services/listener"
)

func main() {
	args := os.Args[1:] // tg token
	messengerTelegram, err := telegram.NewMessengerTelegram(args[0])
	if err != nil {
		panic(err)
	}
	var storage storage.IStorage // TODO: init
	listenerService := listener.NewListener(
		messengerTelegram,
		[]bot.IBot{
			bot_all.NewBotAll(messengerTelegram, storage),
		},
	)
	ctx := context.Background()
	listenerService.Run(ctx)
}
