package storage

import "context"

//go:generate mockgen -source=$GOFILE -destination=mocks/$GOFILE -package=mocks

type User struct {
	ChatID string
	UserID string
}

type IStorage interface {
	UpsertUser(ctx context.Context, user User) error
	GetAllUsersByChatID(ctx context.Context, chatID string) ([]User, error)
}
